Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.learning.consumption
Interface ConsumptionDataTracker

All Known Implementing Classes:
  JobConsumptionDataTracker, PeerConsumptionDataTracker

    public interface ConsumptionDataTracker

A ConsumptionDataTracker tracks the Local data known to have been donwloaded by Supplier Peers.

The tracked data were required by successfully completed Consumption Tasks.

To each data id is associated the set of Supplier Peers which have downloaded the data.

The tracked data can be searched to locate, and rank Peers that may still have some Resources holding the data in their data cache.

Author:
  Cyril Briquet

Method Summary
`int` | `countTrackedData()`
`java.util.Map<java.lang.Long,java.util.Set<java.lang.String>>` | `rankPeers(Task t)`
`void` | `trackData(java.lang.String supplier_peer, Task t)`
`java.util.Iterator<java.lang.String>` | `trackedSuppliers(java.lang.String data_id)`

Method Detail

### trackData

    void trackData(java.lang.String supplier_peer,
                   Task t)
                   throws GridException

  Throws:
    `GridException`

### rankPeers

    java.util.Map<java.lang.Long,java.util.Set<java.lang.String>> rankPeers(Task t)
                                                                            throws GridException

  Throws:
    `GridException`

### countTrackedData

    int countTrackedData()

### trackedSuppliers

    java.util.Iterator<java.lang.String> trackedSuppliers(java.lang.String data_id)
                                                          throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.